|  | reflex::Pattern::Tree::Node Struct Reference updated Fri Dec 10 2021 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::Pattern::Tree::Node Struct Reference

`#include <pattern.h>`

Collaboration diagram for reflex::Pattern::Tree::Node:
[legend]

## Public Member Functions
| Node ()

## Public Attributes
Node * | edge [256]
| 256 edges, one per 8-bit char More...
Accept | accept
| nonzero if final state, the index of an accepted/captured subpattern More...

## Constructor & Destructor Documentation

reflex::Pattern::Tree::Node::Node | ( |  | ) |
| inline

## Member Data Documentation

Accept reflex::Pattern::Tree::Node::accept

nonzero if final state, the index of an accepted/captured subpattern

Node* reflex::Pattern::Tree::Node::edge[256]

256 edges, one per 8-bit char

The documentation for this struct was generated from the following file:

- pattern.h